Description de packages

Le
Etienne
Bonjour à tous,

Je rencontre des problèmes pour faire démarrer un domU (dans Xen3) installé à
grand coup de debootstrap. Je suspecte fortement le noyau du domU, mais avant
d'aller plus loin, je voudrais m'assurer de n'avoir pas fait une erreur bête.
D'où ma question:

Le package suivant est-il bien un noyau de domU et non de dom0 ?
http://packages.debian.org/lenny/linux-image-2.6.24-1-xen-686
En effet, la description succinte, et la présence d'à la fois "686" et "xen"
dans le nom du package font qu'un doute m'habite.

Merci de votre intérêt pour ma question.

--
Etienne

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to debian-user-french-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Raphael Hertzog
Le #12858131
Bonjour,

On Tue, 08 Jul 2008, Etienne wrote:
Je rencontre des problèmes pour faire démarrer un domU (dans Xen3) installé à
grand coup de debootstrap. Je suspecte fortement le noyau du domU, mais avant
d'aller plus loin, je voudrais m'assurer de n'avoir pas fait une erreur bête.
D'où ma question:

Le package suivant est-il bien un noyau de domU et non de dom0 ?
http://packages.debian.org/lenny/linux-image-2.6.24-1-xen-686



Oui, il n'y a que le 2.6.18-xen de etch qui soit à la fois domU et dom0.
Les noyaux plus récents ne supportent que le domU pour le moment.

Cordialement,
--
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Etienne
Le #14503771
Selon Raphael Hertzog
> Je rencontre des problèmes pour faire démarrer un domU (dans Xen3) installé
> à grand coup de debootstrap. Je suspecte fortement le noyau du domU, mais
> avant d'aller plus loin, je voudrais m'assurer de n'avoir pas fait une
> erreur bête.
> D'où ma question:
>
> Le package suivant est-il bien un noyau de domU et non de dom0 ?
> http://packages.debian.org/lenny/linux-image-2.6.24-1-xen-686

Oui, il n'y a que le 2.6.18-xen de etch qui soit à la fois domU et dom0.
Les noyaux plus récents ne supportent que le domU pour le moment.



Ok.

Quand j'essaie de booter ce noyau via un "xm create foobar -c" (foobar étant le
nom de mon fichier de conf Xen), le message suivant apparaît au cours du
chargement:

net eth0: backend does not support copying receive path

Nulle part Puis un peu plus tard, au moment où init initialise l'interface
réseau:

SIOCSIFFLAGS: Invalid argument
SIOCSIFFLAGS: Invalid argument
Listening on LPF/eth0/00:00:00:00:00:00
Sending on LPF/eth0/00:00:00:00:00:00
Sending on Socket/fallback
receive_packet failed on eth0: Network is down
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 4
send_packet: Network is down
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 10
send_packet: Network is down
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 19
send_packet: Network is down
[...]

Mon fichier de conf Xen est horriblement banal, il ne comporte que ceci:

kernel = "/home/tinou/Admin/Debian/vmlinuz-2.6.24-1-xen-686"
ramdisk = "/home/tinou/Admin/Debian/initrd.img-2.6.24-1-xen-686"
memory = 64
name = "catalina"
vif = [ 'mac:16:3e:00:00:12, bridge=bridge0' ]
disk = [ 'phy:/dev/wd1p,0x301,w' ]
root = "/dev/xvda1 ro"
extra = "1 console=hvc0"

L'hôte est un NetBSD-4.99.58/amd64 avec un Xen-3.1.3, qui fait déjà tourner sans
problème un domU NetBSD. Je viens juste de me rendre compte en googlant un peu
plus fort que le problème vient du noyau domU[1], mais je ne trouve pas de
workaround, en particulier le patch à appliquer.

Quelqu'un a-t'il une expérience de cette configuration ? Une solution ? Celà
mérite t'il un bug-report ?

[1] http://thread.gmane.org/gmane.os.netbsd.ports.xen/3047/focus048

--
Etienne

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Raphael Hertzog
Le #14498891
On Wed, 09 Jul 2008, Etienne wrote:
L'hôte est un NetBSD-4.99.58/amd64 avec un Xen-3.1.3, qui fait déjà tourner sans
problème un domU NetBSD. Je viens juste de me rendre compte en googlant un peu
plus fort que le problème vient du noyau domU[1], mais je ne trouve pas de
workaround, en particulier le patch à appliquer.

Quelqu'un a-t'il une expérience de cette configuration ? Une solution ? Celà
mérite t'il un bug-report ?



http://mail-index.netbsd.org/port-xen/2008/06/29/msg003956.html

Pas de bug report, c'est des choix incompatibles pour le moment entre le
dom0 NetBSD et le domU Linux. Linux ne supporte que la nouvelle méthode
(copying) alors que NetBsd ne supporte que l'ancienne (flipping). NetBsd
devra supporter la nouvelle lorsqu'ils auront porté Xen 3.2 normalement.

Solution: employer un vieux noyau Linux, genre 2.6.18-xen de etch.

A+
--
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Etienne
Le #14498861
Selon Raphael Hertzog
http://mail-index.netbsd.org/port-xen/2008/06/29/msg003956.html

Pas de bug report, c'est des choix incompatibles pour le moment entre le
dom0 NetBSD et le domU Linux. Linux ne supporte que la nouvelle méthode
(copying) alors que NetBsd ne supporte que l'ancienne (flipping). NetBsd
devra supporter la nouvelle lorsqu'ils auront porté Xen 3.2 normalement.

Solution: employer un vieux noyau Linux, genre 2.6.18-xen de etch.



Merci pour l'explication, c'était un peu du chinois pour moi. :-)

--
Etienne

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme